% GUIfullrange
% Function for the MODIS GUI
% Copyright by Jasmine S Nahorniak, Oregon State University. 
% March 10 2000

function [mins,maxs]=GUIfullrange(data,oldmins,oldmaxs);

GUIbutton('Pushbutton10','WORKING','on');

% get the data choice (selected by user)
choice=get(findobj('Tag','Listbox1'),'Value');

currentdata=data{choice};

% find min and max of new data
mindata=min(min(currentdata));
maxdata=max(max(currentdata));

% add to matrix of mins and maxs
mins=oldmins;
maxs=oldmaxs;
mins(choice)=mindata;
maxs(choice)=maxdata;
    
% display min and max in GUI
set(findobj('Tag','EditText1'),'String',num2str(mindata));
set(findobj('Tag','EditText6'),'String',num2str(maxdata));

GUIbutton('Pushbutton10','full range','off');
